glib-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Marshalling utilities Utility class for internal wrapper use System.Object
- Method
  System.String `` Marshals a utf8 string from native memory and frees the native string. a a
- Method
  System.String[] `` Marshals an array of utf8 string from native memory and frees the native strings. a a To be added
- Method
  System.IntPtr `` Marshal a string to a native Utf8 string using GLib memory allocation. a a
- Method
  System.IntPtr `` To be added a a To be added
- Method
  System.String[] `` `` To be added a a a To be added
- Method
  System.IntPtr `` To be added a a To be added
- Method
  System.DateTime `` To be added a a To be added
- Method
  System.Char `` Marshals a UCS4 character represented as an uint to a UTF16 char. a a
- Method
  System.UInt32 `` Marshals a UTF16 char to a UCS4 character represented as an uint. a a
- Method
  System.String `` `` Wrapper for marshalling between String.Format-style methods and printf-style ones a -style format string arguments for a This is a wrapper for marshalling between managed String.Format-style methods and unmanaged printf-style ones. The managed function should take a format, and a array of , and pass that to . will format the data, and then make sure that any percent signs in the result are doubled so that they can safely be passed to an unmanaged method that expects a printf-style string (and following arguments).
- Method
  System.String `` Marshals a native Utf8 string to a managed string. a a
- Method
  System.IntPtr `` To be added a a To be added
- Method
  System.Void `` To be added a To be added